Bug 2608 - Missing keyboard layout for Kyrgyz
Summary: Missing keyboard layout for Kyrgyz
Status: RESOLVED INVALID
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: xkb
QA Contact:
URL:
Whiteboard:
Keywords: l10n
Depends on:
Blocks: 2609 17505
  Show dependency treegraph
 
Reported: 2005-02-24 04:40 UTC by Ilyas Bakirov
Modified: 2009-03-07 15:15 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments
xkb patch for Kyrgyz standard keyboard (5.13 KB, patch)
2005-02-24 04:42 UTC, Ilyas Bakirov
Details | Splinter Review
FIXED xkb patch for Kyrgyz standard keyboard (12.25 KB, patch)
2005-02-25 04:38 UTC, Ilyas Bakirov
Details | Splinter Review
FIXED xkb patch for Kirghiz standard keyboard (12.25 KB, patch)
2005-03-10 04:06 UTC, Ilyas Bakirov
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ilyas Bakirov 2005-02-24 04:40:19 UTC
Keyboard layout for Kyrgyz. Please apply 
provided patch. 
 
Thanks.
Comment 1 Ilyas Bakirov 2005-02-24 04:42:02 UTC
Created attachment 1974 [details] [review]
xkb patch for Kyrgyz standard keyboard
Comment 2 Ilyas Bakirov 2005-02-25 04:38:42 UTC
Created attachment 1976 [details] [review]
FIXED xkb patch for Kyrgyz standard keyboard

Sorry didn't include Imakefile
Comment 3 Ilyas Bakirov 2005-03-03 04:40:47 UTC
Sorry for spam. Any solution to this bug report? :(
Comment 4 Mashrab Kuvatov 2005-03-05 04:05:32 UTC
Mandrakelinux has it since 10.1. So, why not take it upstream? It sucks to 
patch every distro out there. :-( 
Comment 5 Nurlan Borubaev 2005-03-05 04:20:57 UTC
As Mashrab said, Mandrakelinux got it and we are translating Kyrgyz Language. 
Why don't you accept? Link for details: 
http://www.mandrakelinux.com/l10n/ky.php3
Comment 7 Roland Mainz 2005-03-05 08:53:58 UTC
ienup:
Is the patch OK for you ?
Comment 8 Ienup Sung 2005-03-07 15:16:14 UTC
The patch files look okay to me in general. I have two questions and the first
one is something that don't really need to be answered but here it is:
Just as a personal curiosiry, why the AB05 and the AB06 entries in Russian
keyboard files have their entries listed reversed?
The second question is where the "pc/kg(basic)" and so on "pc/kg" inclusions
come from? Were they typos?
Comment 9 Mashrab Kuvatov 2005-03-08 01:14:06 UTC
The language name is misspelled. According to ISO [1] it is Kirghiz. GNOME [2] 
and KDE [3] is using Kirghiz. 
 
1. http://www.loc.gov/standards/iso639-2/englangn.html#kl 
2. http://www.google.com/search?q=kirghiz+site%3Agnome.org&ie=UTF-8&oe=UTF-8 
3. http://webcvs.kde.org/kde-i18n/ky/messages/entry.desktop?rev=1.1&view=markup 
Comment 10 Ilyas Bakirov 2005-03-10 04:06:46 UTC
Created attachment 2072 [details] [review]
FIXED xkb patch for Kirghiz standard keyboard

>Just as a personal curiosiry, why the AB05 and the AB06 entries in Russian
>keyboard files have their entries listed reversed?

I didn't change because it is as in russian standard layout :)

>The second question is where the "pc/kg(basic)" and so on "pc/kg" inclusions
>come from? Were they typos?

Thanks. Fixed some typos in inclusions :)
Comment 11 Ilyas Bakirov 2005-04-04 04:24:57 UTC
Hey  Alexander Gottwald,Roland Mainz,Ienup Sung and Egbert Eich what's up? is
anybody alive? 
Ienup Sung i did new patches as you said now your tern :)

P.S: Egbert Eich didn't answered to my e-mails and patches :(((((((((((((((((
Comment 12 Alexander Gottwald 2005-04-04 04:36:47 UTC
I'm not interested in this bug in particular. If it is included in the xorg
distribution then it will be available for Cygwin/X too. But I have not
intention to include it in Cygwin/X first and than have to keep track of syncing
with xorg.

So I don't want to be added as CC again
Comment 13 Pablo Saratxaga 2005-04-04 06:11:11 UTC
reassigned to proper component owner
Comment 14 Pablo Saratxaga 2005-04-04 06:13:31 UTC
it seems "App/xkbcomp" component has no mantainer...
Comment 15 Ienup Sung 2005-04-04 11:08:11 UTC
Changed patch looks good to me.
Comment 16 Ilyas Bakirov 2005-05-09 22:54:02 UTC
Xorg Project Team !!!!
Please apply patch. What do we waiting for?

Comment 17 Ilyas Bakirov 2005-12-26 21:20:30 UTC
>Changed patch looks good to me. (Ienup Sung )
OK.

>>On Fri, 2005-09-30 at 02:06 -0700, Ilyas wrote:
>> Daniel Stone what about the 2608 bug? Thanks. Any help appreciated.

>>It's an xkeyboard-config problem, so I've reassigned accordingly.

I wonder, who is responsible for xkeyboard-config ?
I really wonder about it and have no idea about it. All this around this bug. I
think all things all right.

So, should kirghiz users wait for given commit as a Christmas gift or not?

P.S: sorry if I bodered you but i'm still waiting and I'm ready to modify bugs
details if needed or patches. Just show what i should do.

Thanks.
Comment 18 Ilyas Bakirov 2005-12-28 18:50:27 UTC
reassigned to xkeyboard-config
Comment 19 Sergey V. Udaltsov 2005-12-30 03:23:43 UTC
Ilyas, this patch contains layout with two groups. This is inappropriate for
xkeyboard-config - we support only singe-group layouts. Could you please fix it?
Thanks.
Comment 20 Sergey V. Udaltsov 2005-12-31 09:39:58 UTC
(In reply to comment #19)
> Ilyas, this patch contains layout with two groups. This is inappropriate for
> xkeyboard-config - we support only singe-group layouts. Could you please fix it?
> Thanks.

Sorry, this comment was lame. pc/ky is ok, one-group layout. But the thing is
that we already got 'kg' layout - so probably the right thing is to merge the
files somehow (or at least make agreement with the author of existing layout).
Comment 21 Benjamin Close 2008-01-11 02:37:29 UTC
Bugzilla Upgrade Mass Bug Change

NEEDSINFO state was removed in Bugzilla 3.x, reopening any bugs previously listed as NEEDSINFO.

  - benjsc
    fd.o Wrangler
Comment 22 Sergey V. Udaltsov 2008-11-26 15:49:06 UTC
No reply. Feel free to reopen if you have a patch against the latest xk-c
Comment 23 Ilyas Bakirov 2008-11-26 19:34:24 UTC
Sergey, do I miss something? As I know kirghiz keyboard was synced with XKeyboardConfig project.(http://webcvs.freedesktop.org/xorg/xc/programs/xkbcomp/symbols/pc/kg?view=log) where geographical name is used as developers told me. Do I have to do something else? I really confused know. What are projects actual now? 
Comment 24 Sergey V. Udaltsov 2008-11-27 01:17:03 UTC
The project is in git now.
http://cgit.freedesktop.org/xkeyboard-config/tree/symbols/kg

Could you please check whether you're happy with the existing variants. If not, feel free to reopen the bug and attach a patch.
Comment 25 Ilyas Bakirov 2008-11-27 02:24:57 UTC
For now, I agree with Yury Fedorov and issue may be closed. Thanks Sergey.
Comment 26 Simos Xenitellis 2009-02-27 02:55:16 UTC
There is a relevant report at bug 17505 for the Kirghiz keyboard layout.
I suppose that some of the subscribers here may be interested to see that report as well.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.